Subject: Re: linux-next: Tree for Sep 15 (drivers/mfd/cs42l43.o)

From: Lee Jones <[email-masked]>
Date: Tue, 19 Sep 2023 15:21:40 +0100

On Mon, 18 Sep 2023, Randy Dunlap wrote:

> 
> 
> On 9/18/23 07:40, Lee Jones wrote:
> > On Fri, 15 Sep 2023, Randy Dunlap wrote:
> > 
> >>
> >>
> >> On 9/14/23 19:01, Stephen Rothwell wrote:
> >>> Hi all,
> >>>
> >>> Changes since 20230914:
> >>>
> >>> The btrfs tree gained a conflist against the mm tree.
> >>>
> >>> The device-mapper tree gained a build failure so I used the version
> >>> from next-20230914.
> >>>
> >>> The kspp tree lost its build failure.
> >>>
> >>> Non-merge commits (relative to Linus' tree): 5026
> >>>  2501 files changed, 391711 insertions(+), 34318 deletions(-)
> >>>
> >>> ----------------------------------------------------------------------------
> >>>
> >>
> >> on arm64:
> >>
> >> aarch64-linux-ld: drivers/mfd/cs42l43.o: in function `cs42l43_boot_work':
> >> cs42l43.c:(.text+0x19d4): undefined reference to `devm_regmap_add_irq_chip'
> >>
> >> Using GCC 13.2.0 from kernel.org crosstools.
> >>
> >> Full randconfig file is attached.
> > 
> > Who is the intended consumer of this report?
> > 
> 
> I Cc-ed the driver maintainers and the subsystem maintainer.
> However, I missed Cc-ing the person who git blame identifies
> for this patch. (added now)
> 
> > Are you planning on following up with a patch?
> 
> Sure, I will do that.

Thanks for considering it.  Thanks again for actually doing it.

And sorry that a fix (that I hadn't yet seen) was already on the list.

-- 
Lee Jones [李琼斯]